#!/bin/sh
# http://www.ubuntu-tw.org/modules/newbb/viewtopic.php?viewmode=compact&topic_id=8730&forum=3
modprobe usbserial vendor=0x0408 product=0xea02
sleep 10
touch /media/disk/wcdma.cfg
#ls -ls /dev/ttyUSB*
./usb_modeswitch
echo "USB裝置ID變更"
echo " "
sleep 3
echo "停止USB隨身裝置"
echo " "
#echo "suspend" > /sys/bus/usb/devices/usb2/2-1/power/level
echo "suspend" > /sys/bus/usb/devices/usb2/2-0\:1.0/power/level
echo "鎖定USB裝置ID"
echo " "
modprobe usbserial vendor=0x0408 product=0xea02
sleep 8
echo "開始撥接"
echo " "
sleep 2
wvdial &
